# MCC Melody 8-Bit Bootloader Generator Library
 
## Overview
The MPLAB® Code Configurator Bootloader Middleware Library allows users to configure and generate code to more quickly and easily setup MCUs to utilize a bootloading process.

## Features
* Supports UART Communication
    * EUSART
    * UART
    * USART
* The main requirements for the generated bootloader code are:
* Determine if a valid end-application is loaded
* Communicate/Execute supported Commands
* Erase/Rewrite end-application memory space
* Transfer control to end application

## Optional Features
* Ensure Erase/Write address are outside bootloader program memory range
* Allow the host to read the program memory
* Detect corrupted end-application code and recover gracefully
 
## Related Documentation
* Online documentation is at https://onlinedocs.microchip.com/v2/keyword-lookup?keyword=MELODY.BOOTLOADER8BIT.INTRO&redirect=true

# Changelog
All notable changes to this project will be documented in this file.

## [3.0.1] - 2022-11-22

### Bug Fixes
- **CC8SCRIP-11426** :- Updated Readme.md with online documentation link & removed Boot Process flowchart


## [3.0.0] - 2022-11-18

### New Features
- **CC8SCRIP-11346** :- Initial porting of MCC Classic firmware to MCC Melody
- **CC8SCRIP-11345** :- Integration of the new Melody Peripheral Drivers
