import { getNotSupportedForArchTests } from "./testData";
describe("Setup Tests", () => {
    it("Test that the architecure setup functions are working", () => {
        expect(getNotSupportedForArchTests("UNKNOWN")).toBeUndefined();

        const avrNotSupported = getNotSupportedForArchTests("AVR");
        expect(avrNotSupported).toContain("PIC18F04Q40");
        expect(avrNotSupported).toContain("PIC18F04Q41");
        expect(avrNotSupported).toContain("PIC18F57Q43");
        expect(avrNotSupported).toContain("PIC16F15276");
        expect(avrNotSupported).toContain("PIC16F18854");
        expect(avrNotSupported).toContain("attiny1624");
        expect(avrNotSupported).toContain("PIC18F45Q24");
        expect(avrNotSupported).toContain("AVR16EA32");
        expect(avrNotSupported).toContain("ATmega4809");
        expect(avrNotSupported).toContain("AVR64DD28");

        const pic18NotSupported = getNotSupportedForArchTests("PIC18");
        expect(pic18NotSupported).toContain("PIC16F15276");
        expect(pic18NotSupported).toContain("PIC16F18854");
        expect(pic18NotSupported).toContain("attiny1624");
        expect(pic18NotSupported).toContain("PIC18F56Q71");
        expect(pic18NotSupported).toContain("AVR16EA32");
        expect(pic18NotSupported).toContain("ATmega4809");
        expect(pic18NotSupported).toContain("AVR64DD28");
        expect(pic18NotSupported).toContain("PIC18F45Q24");
        expect(pic18NotSupported).toContain("PIC18F57Q83");
        expect(pic18NotSupported).toContain("PIC18F24Q10");
        expect(pic18NotSupported).toContain("PIC18F26Q84");
        expect(pic18NotSupported).toContain("AVR64DA64");

        const pic16NotSupported = getNotSupportedForArchTests("PIC16");
        expect(pic16NotSupported).toContain("attiny1624");
        expect(pic16NotSupported).toContain("ATmega4809");
        expect(pic16NotSupported).toContain("AVR64DD28");
        expect(pic16NotSupported).toContain("PIC18F45Q24");
        expect(pic16NotSupported).toContain("PIC18F57Q83");
        expect(pic16NotSupported).toContain("PIC18F24Q10");
        expect(pic16NotSupported).toContain("PIC18F26Q84");
        expect(pic16NotSupported).toContain("PIC16F19155");
        expect(pic16NotSupported).toContain("pic16F18424");
        expect(pic16NotSupported).toContain("PIC16F15313");
        expect(pic16NotSupported).toContain("PIC16F18313");
        expect(pic16NotSupported).toContain("PIC16F18026");
        expect(pic16NotSupported).toContain("PIC16F18126");
        expect(pic16NotSupported).toContain("PIC16F17146");
        expect(pic16NotSupported).toContain("attiny1624");

        const tiny1NotSupported = getNotSupportedForArchTests("TINY1");
        expect(tiny1NotSupported).toContain("ATmega4809");
        expect(tiny1NotSupported).toContain("AVR64DD28");
        expect(tiny1NotSupported).toContain("PIC18F45Q24");
        expect(tiny1NotSupported).toContain("PIC18F57Q83");
        expect(tiny1NotSupported).toContain("PIC18F24Q10");
        expect(tiny1NotSupported).toContain("PIC18F26Q84");
        expect(tiny1NotSupported).toContain("PIC16F19155");
        expect(tiny1NotSupported).toContain("pic16F18424");
        expect(tiny1NotSupported).toContain("PIC16F15313");
        expect(tiny1NotSupported).toContain("PIC16F18313");
        expect(tiny1NotSupported).toContain("PIC16F18026");
        expect(tiny1NotSupported).toContain("PIC16F18126");
        expect(tiny1NotSupported).toContain("PIC16F17146");
        expect(tiny1NotSupported).toContain("attiny1624");

        const tiny0NotSupported = getNotSupportedForArchTests("TINY0");
        expect(tiny0NotSupported).toContain("attiny1624");
        expect(tiny0NotSupported).toContain("ATmega4809");
        expect(tiny0NotSupported).toContain("AVR64DD28");
        expect(tiny0NotSupported).toContain("PIC18F45Q24");
        expect(tiny0NotSupported).toContain("PIC18F57Q83");
        expect(tiny0NotSupported).toContain("PIC18F24Q10");
        expect(tiny0NotSupported).toContain("PIC18F26Q84");
        expect(tiny0NotSupported).toContain("PIC16F19155");
        expect(tiny0NotSupported).toContain("pic16F18424");
        expect(tiny0NotSupported).toContain("PIC16F15313");
        expect(tiny0NotSupported).toContain("PIC16F18313");
        expect(tiny0NotSupported).toContain("PIC16F18026");
        expect(tiny0NotSupported).toContain("PIC16F18126");
        expect(tiny0NotSupported).toContain("PIC16F17146");
        expect(tiny0NotSupported).toContain("attiny1624");
    });
});
